### Method

# Rsvg Handle get_dimensions_sub

deprecated: 2.46. since: 2.22

#### Declaration [src]

    gboolean
    rsvg_handle_get_dimensions_sub (
      RsvgHandle* handle,
      RsvgDimensionData* dimension_data,
      const char* id
    )

#### Description [src]

Get the size of a subelement of the SVG file. Do not call from within the size_func callback, because an infinite loop will occur.

This function depends on the `RsvgHandle`‘s DPI to compute dimensions in pixels, so you should call `rsvg_handle_set_dpi()` beforehand.

Element IDs should look like an URL fragment identifier; for example, pass `#foo` (hash `foo`) to get the geometry of the element that has an `id="foo"` attribute.

Available since: 2.22

Deprecated since: 2.46.

Use `rsvg_handle_get_geometry_for_layer()` instead.

#### Parameters

`dimension_data`

  Type: `RsvgDimensionData`

  A place to store the SVG’s size.

  The argument will be set by the function.
  The data is owned by the instance.

`id`

  Type: `const char*`

  An element’s id within the SVG, starting with “#” (a single hash character), for example, `#layer1`. This notation corresponds to a URL’s fragment ID. Alternatively, pass `NULL` to use the whole SVG.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the dimensions could be obtained, `FALSE` if there was an error.